from __future__ import annotations
from typing import Any, TypedDict

class IntegerBezierSegment2D(TypedDict, total=False):
    Px: int
    Py: int
    C1x: int
    C1y: int
    C2x: int
    C2y: int
